> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token holders

> Get a list of all the token holders for a specified ERC-20, ERC-721 or ERC-1155 token.



## OpenAPI

````yaml get /apechain/v1/tokens/{tokenAddress}/holders
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /apechain/v1/tokens/{tokenAddress}/holders:
    get:
      tags:
        - Tokens
      summary: Get token holders
      description: >-
        Get a list of all the token holders for a specified ERC-20, ERC-721 or
        ERC-1155 token.
      operationId: GetTokenHolders
      parameters:
        - description: A token address.
          in: path
          name: tokenAddress
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/cursor'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenHoldersResponse'
              examples:
                example1:
                  value:
                    cursor: null
                    holders_count: 10
                    contract:
                      address: '0xe31c676d8235437597581b44c1c4f8a30e90b38a'
                      decimals: 18
                      erc_type: ERC-20
                      logoUri: null
                      name: Gains Network
                      symbol: GNS
                    holders:
                      - address: '0x34f4911911a0883856e8d15e99fda2d8e0fdbf60'
                        balance: '13016.589170220648844519'
                        percentage: 59.64575239781693
                        raw_balance: '13016589170220648844519'
                      - address: '0x5d7a7940c52ee497717bccab9e0934894a47eb5e'
                        balance: '4196.516477179279426619'
                        percentage: 19.22964452960078
                        raw_balance: '4196516477179279426619'
                      - address: '0x8b2bc7d000d395cba8442e4d835a5e77e4f9d1fe'
                        balance: '1931.509456506478060291'
                        percentage: 8.85073142358955
                        raw_balance: '1931509456506478060291'
                      - ...
                      - address: '0x65a8f07bd9a8598e1b5b6c0a88f4779dbc077675'
                        balance: '0.000581013481644882'
                        percentage: 0.0000026623707495714662
                        raw_balance: '581013481644882'
          description: OK
components:
  parameters:
    cursor:
      description: The cursor returned in previous response (for getting the next page).
      in: query
      name: cursor
      required: false
      schema:
        type: string
    limit:
      description: Number of records to fetch
      in: query
      name: limit
      required: false
      schema:
        default: 100
        maximum: 100
        minimum: 1
        nullable: true
        type: integer
  schemas:
    TokenHoldersResponse:
      properties:
        contract:
          $ref: '#/components/schemas/Contract'
        cursor:
          nullable: true
          type: string
        holders:
          items:
            $ref: '#/components/schemas/TokenHoldersItem'
          type: array
        holders_count:
          format: int64
          type: integer
        updated_at:
          format: date-time
          type: string
      required:
        - updated_at
        - contract
        - holders
        - holders_count
      type: object
    Contract:
      properties:
        address:
          description: Contract address
          type: string
        decimals:
          nullable: true
          type: integer
        erc_type:
          description: ERC standard of the token.
          nullable: true
          type: string
        logoUri:
          nullable: true
          type: string
        name:
          description: Name of the token.
          nullable: true
          type: string
        symbol:
          description: Symbol of the token.
          nullable: true
          type: string
      type: object
    TokenHoldersItem:
      properties:
        address:
          type: string
        balance:
          type: string
        percentage:
          format: double
          type: number
        raw_balance:
          type: string
      required:
        - address
        - balance
        - raw_balance
        - percentage

````